This is an automated email from the ASF dual-hosted git repository.

rombert pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/sling-ide-tooling.git


The following commit(s) were added to refs/heads/master by this push:
     new 85c061f  SLING-7572 - Upgrade to Java 8
85c061f is described below

commit 85c061f112c733b3525e899a59f9713dbf2ea426
Author: Robert Munteanu <romb...@apache.org>
AuthorDate: Thu Apr 12 18:06:19 2018 +0300

    SLING-7572 - Upgrade to Java 8
---
 eclipse/eclipse-core/META-INF/MANIFEST.MF         | 2 +-
 eclipse/eclipse-m2e-core/META-INF/MANIFEST.MF     | 2 +-
 eclipse/eclipse-m2e-test/META-INF/MANIFEST.MF     | 2 +-
 eclipse/eclipse-m2e-ui/META-INF/MANIFEST.MF       | 2 +-
 eclipse/eclipse-sightly-core/META-INF/MANIFEST.MF | 2 +-
 eclipse/eclipse-sightly-ui/META-INF/MANIFEST.MF   | 2 +-
 eclipse/eclipse-test/META-INF/MANIFEST.MF         | 2 +-
 eclipse/eclipse-ui/META-INF/MANIFEST.MF           | 2 +-
 shared/modules/api/pom.xml                        | 3 +++
 shared/modules/artifacts/pom.xml                  | 3 +++
 shared/modules/impl-resource/pom.xml              | 3 +++
 shared/modules/impl-vlt/pom.xml                   | 3 +++
 shared/modules/vlt-wrapper/pom.xml                | 1 +
 13 files changed, 21 insertions(+), 8 deletions(-)

diff --git a/eclipse/eclipse-core/META-INF/MANIFEST.MF 
b/eclipse/eclipse-core/META-INF/MANIFEST.MF
index 8f1103a..bd419a5 100644
--- a/eclipse/eclipse-core/META-INF/MANIFEST.MF
+++ b/eclipse/eclipse-core/META-INF/MANIFEST.MF
@@ -12,7 +12,7 @@ Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.ui,
  org.eclipse.jdt.debug
 Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ClassPath: .
 Import-Package: org.apache.commons.httpclient;version="3.1.0",
  org.apache.commons.httpclient.auth;version="3.1.0",
diff --git a/eclipse/eclipse-m2e-core/META-INF/MANIFEST.MF 
b/eclipse/eclipse-m2e-core/META-INF/MANIFEST.MF
index 921f8f8..e05559e 100644
--- a/eclipse/eclipse-m2e-core/META-INF/MANIFEST.MF
+++ b/eclipse/eclipse-m2e-core/META-INF/MANIFEST.MF
@@ -5,7 +5,7 @@ Bundle-Name: Sling IDE M2E Core
 Bundle-SymbolicName: org.apache.sling.ide.eclipse-m2e-core;singleton:=true
 Bundle-Version: 1.2.3.qualifier
 Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ClassPath: .
 Import-Package: org.apache.sling.ide.eclipse.core.launch,
  org.apache.sling.ide.osgi,
diff --git a/eclipse/eclipse-m2e-test/META-INF/MANIFEST.MF 
b/eclipse/eclipse-m2e-test/META-INF/MANIFEST.MF
index eb159cc..ac91b91 100644
--- a/eclipse/eclipse-m2e-test/META-INF/MANIFEST.MF
+++ b/eclipse/eclipse-m2e-test/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Bundle-ManifestVersion: 2
 Bundle-Name: Sling IDE Tools: Eclipse M2Eclipse-based tests
 Bundle-SymbolicName: org.apache.sling.ide.eclipse-m2e-test
 Bundle-Version: 1.2.3.qualifier
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Require-Bundle: org.junit,
   org.eclipse.m2e.core,
   org.eclipse.m2e.launching,
diff --git a/eclipse/eclipse-m2e-ui/META-INF/MANIFEST.MF 
b/eclipse/eclipse-m2e-ui/META-INF/MANIFEST.MF
index c06fad4..b0e67ef 100644
--- a/eclipse/eclipse-m2e-ui/META-INF/MANIFEST.MF
+++ b/eclipse/eclipse-m2e-ui/META-INF/MANIFEST.MF
@@ -5,7 +5,7 @@ Bundle-Name: Sling IDE M2E UI
 Bundle-SymbolicName: org.apache.sling.ide.eclipse-m2e-ui;singleton:=true
 Bundle-Activator: org.apache.sling.ide.eclipse.m2e.internal.Activator
 Bundle-Version: 1.2.3.qualifier
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ClassPath: .
 Require-Bundle: org.eclipse.m2e.core;bundle-version="1.4.0",
  org.eclipse.m2e.archetype.common;bundle-version="1.4.0",
diff --git a/eclipse/eclipse-sightly-core/META-INF/MANIFEST.MF 
b/eclipse/eclipse-sightly-core/META-INF/MANIFEST.MF
index c556dfc..176e644 100644
--- a/eclipse/eclipse-sightly-core/META-INF/MANIFEST.MF
+++ b/eclipse/eclipse-sightly-core/META-INF/MANIFEST.MF
@@ -6,7 +6,7 @@ Bundle-SymbolicName: 
org.apache.sling.ide.eclipse-sightly-core;singleton:=true
 Bundle-Version: 1.2.3.qualifier
 Bundle-Activator: org.apache.sling.ide.eclipse.sightly.internal.Activator
 Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.core.resources,
  org.eclipse.swt,
diff --git a/eclipse/eclipse-sightly-ui/META-INF/MANIFEST.MF 
b/eclipse/eclipse-sightly-ui/META-INF/MANIFEST.MF
index 0ae7afb..dc54140 100644
--- a/eclipse/eclipse-sightly-ui/META-INF/MANIFEST.MF
+++ b/eclipse/eclipse-sightly-ui/META-INF/MANIFEST.MF
@@ -5,7 +5,7 @@ Bundle-Name: Sling IDE Eclipse Sightly UI
 Bundle-SymbolicName: org.apache.sling.ide.eclipse-sightly-ui;singleton:=true
 Bundle-Version: 1.2.3.qualifier
 Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.core.resources,
  org.eclipse.jface,
diff --git a/eclipse/eclipse-test/META-INF/MANIFEST.MF 
b/eclipse/eclipse-test/META-INF/MANIFEST.MF
index 0bb76b3..5cf871d 100644
--- a/eclipse/eclipse-test/META-INF/MANIFEST.MF
+++ b/eclipse/eclipse-test/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Bundle-ManifestVersion: 2
 Bundle-Name: Sling IDE Tools: Eclipse Tests
 Bundle-SymbolicName: org.apache.sling.ide.eclipse-test
 Bundle-Version: 1.2.3.qualifier
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Require-Bundle: org.junit,
  org.eclipse.core.runtime,
  org.eclipse.core.resources,
diff --git a/eclipse/eclipse-ui/META-INF/MANIFEST.MF 
b/eclipse/eclipse-ui/META-INF/MANIFEST.MF
index fb4de9b..ac70d18 100644
--- a/eclipse/eclipse-ui/META-INF/MANIFEST.MF
+++ b/eclipse/eclipse-ui/META-INF/MANIFEST.MF
@@ -5,7 +5,7 @@ Bundle-Name: Sling IDE Eclipse UI
 Bundle-SymbolicName: org.apache.sling.ide.eclipse-ui;singleton:=true
 Bundle-Activator: org.apache.sling.ide.eclipse.ui.internal.Activator
 Bundle-Version: 1.2.3.qualifier
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ClassPath: .,
  lib/decentxml-1.4.jar
 Import-Package: javax.jcr,
diff --git a/shared/modules/api/pom.xml b/shared/modules/api/pom.xml
index 9a5fba9..b82481c 100644
--- a/shared/modules/api/pom.xml
+++ b/shared/modules/api/pom.xml
@@ -93,4 +93,7 @@
             <scope>provided</scope>
         </dependency>
     </dependencies>
+    <properties>
+        <sling.java.version>8</sling.java.version>
+    </properties>
 </project>
diff --git a/shared/modules/artifacts/pom.xml b/shared/modules/artifacts/pom.xml
index 066793e..446f2a4 100644
--- a/shared/modules/artifacts/pom.xml
+++ b/shared/modules/artifacts/pom.xml
@@ -86,4 +86,7 @@
             <scope>provided</scope>
         </dependency>
     </dependencies>
+    <properties>
+        <sling.java.version>8</sling.java.version>
+    </properties>
 </project>
diff --git a/shared/modules/impl-resource/pom.xml 
b/shared/modules/impl-resource/pom.xml
index 4bdae32..668d063 100644
--- a/shared/modules/impl-resource/pom.xml
+++ b/shared/modules/impl-resource/pom.xml
@@ -85,4 +85,7 @@
             <scope>test</scope>
         </dependency>
     </dependencies>
+    <properties>
+        <sling.java.version>8</sling.java.version>
+    </properties>
 </project>
diff --git a/shared/modules/impl-vlt/pom.xml b/shared/modules/impl-vlt/pom.xml
index 19af497..4debcad 100644
--- a/shared/modules/impl-vlt/pom.xml
+++ b/shared/modules/impl-vlt/pom.xml
@@ -140,4 +140,7 @@
             <scope>test</scope>
         </dependency>
     </dependencies>
+    <properties>
+        <sling.java.version>8</sling.java.version>
+    </properties>
 </project>
diff --git a/shared/modules/vlt-wrapper/pom.xml 
b/shared/modules/vlt-wrapper/pom.xml
index a180d92..5deb99b 100644
--- a/shared/modules/vlt-wrapper/pom.xml
+++ b/shared/modules/vlt-wrapper/pom.xml
@@ -128,5 +128,6 @@
         <!-- must match the version being referenced in the pom.xml of 
filevault -->
         <jackrabbit.version>2.16.1</jackrabbit.version>
         <vault.version>3.1.44</vault.version>
+        <sling.java.version>8</sling.java.version>
     </properties>
 </project>

-- 
To stop receiving notification emails like this one, please contact
romb...@apache.org.

Reply via email to